Name:		rednotebook
Version:	1.15
Release:	%mkrel 1
Summary:	Daily journal with calendar, templates and keyword searching
Group:		Office/Utilities
License:	GPLv2+
URL:		http://rednotebook.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	desktop-file-utils

Requires:	pywebkitgtk
Requires:	pythonegg(2)(pyyaml)
Requires:	pythonegg(2)(pygtk)
Requires:	pythonegg(2)(chardet)
Recommends:	pythonegg(2)(pygtkspellcheck)

%description
RedNotebook is a modern desktop journal. It lets you format, tag and
search your entries. You can also add pictures, links and customizable
templates, spell check your notes, and export to plain text, HTML,
Latex or PDF.

%prep
%setup -q

%build
%py2_build

%install
%py2_install

desktop-file-install \
	--add-category="Calendar" \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}-%{version}-py%{python2_version}.egg-info


%changelog
* Wed Apr 26 2017 akien <akien> 1.15-1.mga6
+ Revision: 1097578
- Version 1.15

* Sat Oct 01 2016 daviddavid <daviddavid> 1.14-2.mga6
+ Revision: 1058032
- increase release tag compared to that of mga5

* Sat Oct 01 2016 daviddavid <daviddavid> 1.14-1.mga6
+ Revision: 1058017
- imported package rednotebook (thanks to Fabien Deschodt)

